1. FIAT TRANSACTION
Rapira
  • Введение
  • JWT
    • Инструкция по созданию JWT
    • Generate JWT
      POST
  • CRYPTO MERCHANT
    • Адреса
      • Get address by currency
      • Create address by currency
      • Get address details by id
      • Get address list by currency
      • Start use address
      • Stop use address
    • Пополнения
      • Get deposits
  • MARKET
    • Get spot fees
      GET
    • Pairs
      GET
    • Token
      GET
    • Get rates JSON
      GET
    • Get rates XML
      GET
    • Get market depth
      POST
  • BALANCE
    • Get frozen balances
      GET
    • Get balance operations coins and types
      GET
    • Get balance operations
      POST
    • Get frozen balances detailed
      GET
    • Get Balances
      GET
  • SERVER TIME
    • Get server time
      GET
  • ORDER
    • Order history
      GET
    • Order details
      GET
    • Add exchange order
      POST
    • Cancel order
      POST
  • CRYPTO PAYOUT
    • Withdraw
      • Withdraw create
      • Withdraw crypto history Record
      • Withdraw crypto history
  • FIAT PAYOUT
    • Fiat
      • Withdraw fiat history
      • Withdraw fiat history Record
    • FIAT TRANSACTION
      • Fiat Transactions
        GET
      • Fiat Withdraw For Record
        GET
  • AML
    • AML balance
    • Recheck
    • Check address
    • Check transaction
  • rCode
    • Create rCode
    • rCode withdraw history
    • rCode deposit history
    • rCode details
    • Use rCode
  • OTC
    • Введение в OTC
    • Get payment types
    • Get my ads
    • Create ad
    • Update ad
    • Publish ad
    • Unpublish ad
    • Get offers
    • Fetch ads
    • Get order detail
    • Create order
    • Accept order
    • Decline order
    • Cancel order
    • Chat-history
    • Chat history page query
    • Pay order
    • Release order
    • Cancel appeal
    • Get order history
    • Create appeal
    • Send message
  • CRYPTO-PROCESSING
    • Введение
    • Создание проекта
    • Настройка проекта
    • Работа с инвойсами
    • Projects Settings
      • Get Invoices (Paginated)
      • Set deposit return address
      • Get Available Token Settings
      • Get Project Token Settings
      • Update Project Token Settings
      • Batch Update Project Token Settings
      • Get Projects
      • Edit Project
    • Invoice
      • Available Invoice Currencies
      • Create Invoice
      • Get Invoice
      • Get Available Payment Tokens for Invoice
      • Get Payment Address for Invoice
      • Manual Complete Undepaid Invoice
  • Schemas
    • CryptoProcessing
      • CryptoInvoice
      • CryptoPaymentQuote
      • CryptoDeposit
      • ProjectProcessingTokenSetting
      • ProjectProcessingTokenSettingEditRequest
      • ProjectResponse
  1. FIAT TRANSACTION

Fiat Transactions

GET
/open/fiat-transactions
Требуемый уровень доступа: README
Получить постраничный список фиатных транзакций, связанных с его аккаунтом, с возможностью фильтрации.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.rapira.net/open/fiat-transactions?pageNo=1&pageSize=10&transactionType=WITHDRAW' \
--header 'Authorization: Bearer eyJhbGciiJSUzI1NiJ9.eyJzdWIiOiIxNjIwMCIsImV4cCI6MTc0NDc5ODIwNywiYXBpX2tpZCI6ImNjNmI0ZTU5LTc5ZmQtNDE3MC1hZTU2LTU0YjAwNWJmY2Q5OSJ9.gdYkdQUL4TFC1RGNJrhmio1nu0X9jx1R1pYGdJYo5qOrijL4SJ4fUyJ1ZMVMuE3mdODG0BefggstU0Bsm_XGshuCQ6sGH586BmVX0obA2ixXhHqjV9lXPquL7Bi1XlBxMFNXZpnGxjmvigXV5t5n7bcjC_jjE2TIqJDCG5WRQBp5ez499rKwQNp-THLBq99dbVGDrxF8B2qYgSN1gu89Awxc8PxUctE_aiQ30jKDcsklut6xn3DkWRHxHSwnVXnck4dd9M6JWPbY-HfgCz7lJ9TsJC4vxEYnVcQByxOwVYE_gdFGbjHp0iHxSwBj_aDTDS-3o2ri5oq0Db6FaJueFA'
Response Response Example
{
    "content": [
        {
            "id": 96368,
            "type": "WITHDRAW",
            "amount": "3000000",
            "fee": "0",
            "feeType": "FREE",
            "feeNum": "0",
            "amountWithFee": "3000000",
            "unit": "RUB",
            "status": "CANCELED",
            "creationTime": "2025-04-15 12:47:47",
            "endTime": "2025-04-15 12:47:55",
            "paymentType": {
                "paymentTypeName": "Moscow",
                "category": "CASH"
            }
        },
        {
            "id": 96068,
            "type": "WITHDRAW",
            "amount": "200000",
            "fee": "8000",
            "feeType": "PERCENT",
            "feeNum": "0.04",
            "amountWithFee": "208000",
            "unit": "RUB",
            "status": "FAIL",
            "creationTime": "2024-12-23 13:40:01",
            "endTime": "2024-12-23 13:40:24",
            "paymentType": {
                "paymentTypeName": "Kazan",
                "category": "CASH"
            }
        }
    ],
    "currentPage": 1,
    "totalPages": 27,
    "totalElements": 267
}
Modified at 2025-09-01 09:29:01
Previous
Withdraw fiat history Record
Next
Fiat Withdraw For Record
Built with